Page MenuHomePhabricator

1.31.0-wmf.23, 2018-03-04: "No results found" is shown when searching for an unavailable language in compact language links
Closed, ResolvedPublic

Description

The fix for T182539 was deployed, but now that I'm trying to do this in production, the old behavior appears to happen.

To reproduce:

Observed: "No such language"
Expected: "This page is not available in the language you searched for."

Event Timeline

Amire80 created this task.Mar 4 2018, 11:24 AM
Restricted Application added a project: UniversalLanguageSelector. · View Herald TranscriptMar 4 2018, 11:24 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

My first guess would be that data-i18n value is wrong.

Amire80 triaged this task as High priority.Mar 4 2018, 7:01 PM
Amire80 moved this task from Backlog to Appearance and design on the ULS-CompactLinks board.
Arrbee moved this task from Backlog to Maintenance backlog on the Language-2018-Jan-Mar board.
Arrbee added a subscriber: Arrbee.

Timeboxed to EOD to catch the train

Change 416430 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/UniversalLanguageSelector@master] Fix custom no results again

https://gerrit.wikimedia.org/r/416430

Amire80 moved this task from In Review to QA on the Language-2018-Jan-Mar board.Mar 5 2018, 1:35 PM
Amire80 moved this task from Backlog to Compact Language Links on the UniversalLanguageSelector board.

Change 416430 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Fix custom no results again

https://gerrit.wikimedia.org/r/416430

KartikMistry moved this task from QA to Done on the Language-2018-Jan-Mar board.Mar 6 2018, 12:05 PM
Petar.petkovic closed this task as Resolved.Mar 6 2018, 1:21 PM